# JustDeepIt 

Image analysis based on deep learning is becoming mainstream and increasingly accessible
for solving various scientific problems in diverse fields including plant science.
Practical applications in plant science include species classification,
fruit detection, plant disease and pest detection, weed detection,
leaf segmentation, and plant segmentation.
Python programming language and its libraries including PyTorch, MMDetection, and Detectron2
have made deep learning much easier and more accessible to researchers.
However, deep learning technologies remain challenging for programming beginners
because they require computer programming skills and a basic familiarity
with character user interfaces (CUIs).
JustDeepIt aims to simplify object detection, instance segmentation, and salient object detection
using deep learning by providing a graphical user interface (GUI).
In addition, to ensure flexibility and extensibility, JustDeepIt also provides CUI.
It may be applicable for image analysis in various disciplines beyond plant science.


## Documentation

- https://justdeepit.readthedocs.io/en/latest/index.html


## Citation

Sun J, Cao W, Yamanaka T.
JustDeepIt: Software tool with graphical and character user interfaces
for deep learning-based object detection and segmentation in image analysis.
Front. Plant Sci., 2022, 13:964058.
doi: [10.3389/fpls.2022.964058](https://doi.org/10.3389/fpls.2022.964058)


